View Issue Details

IDProjectCategoryView StatusLast Update
0017688CentOS-7deltarpmpublic2020-08-25 22:28
Reportermcp 
PrioritylowSeveritytextReproducibilityalways
Status newResolutionopen 
Product Version7.8-2003 
Target VersionFixed in Version 
Summary0017688: URL in RPM is incorrect
DescriptionThe URL value for the RPM package is "http://gitorious.org/deltarpm/deltarpm". This URL is unreachable.
I think the project has moved to this location https://github.com/rpm-software-management/deltarpm
Steps To Reproduceyum install deltarpm
rpm -qi deltarpm
Additional InformationOutput from rpm -qi deltarpm

# rpm -qi deltarpm
Name : deltarpm
Version : 3.6
Release : 3.el7
Architecture: x86_64
Install Date: Tue 25 Aug 2020 10:58:13 AEST
Group : System Environment/Base
Size : 214487
License : BSD
Signature : RSA/SHA256, Fri 04 Jul 2014 11:07:11 AEST, Key ID 24c6a8a7f4a80eb5
Source RPM : deltarpm-3.6-3.el7.src.rpm
Build Date : Tue 10 Jun 2014 08:59:43 AEST
Build Host : worker1.bsys.centos.org
Relocations : (not relocatable)
Packager : CentOS BuildSystem <http://bugs.centos.org>
Vendor : CentOS
URL : http://gitorious.org/deltarpm/deltarpm
Summary : Create deltas between rpms
Description :
A deltarpm contains the difference between an old
and a new version of a rpm, which makes it possible
to recreate the new rpm from the deltarpm and the old
one. You don't have to have a copy of the old rpm,
deltarpms can also work with installed rpms.
TagsNo tags attached.
abrt_hash
URL

Activities

ManuelWolfshant

ManuelWolfshant

2020-08-25 08:03

manager   ~0037588

Thank you for reporting that. However as you may know CentOS is a rebuild of the sources used to create RHEL. We do not modify anything except to remove branding and logos. You will need to submit your request to Redhat via bugzilla.redhat.com and if/when RH accepts it and incorporates it into RHEL and releases a patched version, then CentOS will pick it up and rebuild it.
However keep in mind that the package is unmodified since 2014 and I am pretty sure that it will not be rebuilt for such a minor issue, especially as RHEL 7 is in maintenance mode already.
mcp

mcp

2020-08-25 22:08

reporter   ~0037589

Ah thanks for that. I'll go ahead and report it upstream anyway. If they don't know it's a problem, they can't fix it :)
I'll try to close this bug if I can. Otherwise, I won't be disappointed if you close this as "won't fix".
ManuelWolfshant

ManuelWolfshant

2020-08-25 22:11

manager   ~0037590

Last edited: 2020-08-25 22:13

View 2 revisions

Please crosslink the RH bug with this one if you file one. Thanks.
By the way, RHEL 7.9 is in beta for several months now so _certainly_ this bug will not get fixed there as it is not at all critical. So, in the best scenario, it might get fixed in 7.10.. which will appear next spring, probably.

mcp

mcp

2020-08-25 22:12

reporter   ~0037591

Why?
ManuelWolfshant

ManuelWolfshant

2020-08-25 22:14

manager   ~0037592

for easier tracking
mcp

mcp

2020-08-25 22:18

reporter   ~0037593

Of?
ManuelWolfshant

ManuelWolfshant

2020-08-25 22:21

manager   ~0037594

of changes upstream / monitoring tickets
mcp

mcp

2020-08-25 22:28

reporter   ~0037595

Ok. Done.
RH BZ ticket is https://bugzilla.redhat.com/show_bug.cgi?id=1872497

Issue History

Date Modified Username Field Change
2020-08-25 02:48 mcp New Issue
2020-08-25 08:03 ManuelWolfshant Note Added: 0037588
2020-08-25 22:08 mcp Note Added: 0037589
2020-08-25 22:11 ManuelWolfshant Note Added: 0037590
2020-08-25 22:12 mcp Note Added: 0037591
2020-08-25 22:13 ManuelWolfshant Note Edited: 0037590 View Revisions
2020-08-25 22:14 ManuelWolfshant Note Added: 0037592
2020-08-25 22:18 mcp Note Added: 0037593
2020-08-25 22:21 ManuelWolfshant Note Added: 0037594
2020-08-25 22:28 mcp Note Added: 0037595